## python-josepy 1.1.0

=== docs/requirements.txt ===
-e .[docs]

## python-josepy 1.0.1

=== debian/changelog ===
python-josepy (1.0.1-1+ubuntu14.04.1+certbot+7) trusty; urgency=medium

  * No-change backport to trusty

 -- Ondřej Surý <ondrej@debian.org>  Sat, 03 Feb 2018 13:43:28 +0000

python-josepy (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #888624)
  * To prevent breaking downstream libs that may be using python-acme, we
    also have to build the Python 2 version.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 27 Jan 2018 22:57:57 -0500

=== debian/control ===
Source: python-josepy
Section: python
Priority: optional
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
Build-Depends: debhelper (>= 9~),
	       dh-python,
	       python (>= 2.7),
	       python-cryptography (>= 0.8),
	       python-openssl (>= 0.13),
	       python-setuptools (>= 1.0),
	       python-six (>= 1.9.0),
	       python3 (>= 3.3),
	       python3-cryptography (>= 0.8),
	       python3-openssl (>= 0.13),
	       python3-setuptools (>= 1.0),
	       python3-six (>= 1.9.0),
	       python3-sphinx,
	       python3-sphinx-rtd-theme
Standards-Version: 4.1.3
Homepage: https://certbot.eff.org/
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/josepy.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/josepy
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-josepy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: JOSE implementation for Python 2.x
 This package is a Python implementation of the standards developed by
 IETF Javascript Object Signing and Encryption (Active WG), in
 particular the following RFCs:
 .
   - JSON Web Algorithms (JWA)
   - JSON Web Key (JWK)
   - JSON Web Signature (JWS)
 .
 This package was originally developed as part of the ACME protocol
 implementation.  This is the Python 2 library.


Package: python3-josepy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: JOSE implementation for Python 3.x
 This package is a Python implementation of the standards developed by
 IETF Javascript Object Signing and Encryption (Active WG), in
 particular the following RFCs:
 .
   - JSON Web Algorithms (JWA)
   - JSON Web Key (JWK)
   - JSON Web Signature (JWS)
 .
 This package was originally developed as part of the ACME protocol
 implementation.  This is the Python 3 library.

## python-josepy 1.1.0

=== debian/changelog ===
python-josepy (1.1.0-2~deb9u1) stretch; urgency=medium

  * Backport to stable as a dependency for python-acme.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 02 Dec 2018 16:26:51 -0500

python-josepy (1.1.0-2) unstable; urgency=medium

  * Change team name to tracker.d.o address. (Closes: #899760)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 28 May 2018 18:57:43 -0400

python-josepy (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 15 Apr 2018 16:45:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: python-josepy
 Section: python
 Priority: optional
-Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 10~),
 	       dh-python,
 	       python (>= 2.7),
 	       python-cryptography (>= 0.8),
@@ -15,7 +15,7 @@
 	       python3-openssl (>= 0.13),
 	       python3-setuptools (>= 1.0),
 	       python3-six (>= 1.9.0),
-	       python3-sphinx,
+	       python3-sphinx (>= 1.3.1-1~),
 	       python3-sphinx-rtd-theme
 Standards-Version: 4.1.3
 Homepage: https://certbot.eff.org/
@@ -54,3 +54,19 @@
  .
  This package was originally developed as part of the ACME protocol
  implementation.  This is the Python 3 library.
+
+Package: python-josepy-doc
+Section: doc
+Architecture: all
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Description: JOSE implementation for Python - Documentation
+ This package is a Python implementation of the standards developed by
+ IETF Javascript Object Signing and Encryption (Active WG), in
+ particular the following RFCs:
+ .
+   - JSON Web Algorithms (JWA)
+   - JSON Web Key (JWK)
+   - JSON Web Signature (JWS)
+ .
+ This package was originally developed as part of the ACME protocol
+ implementation.  This is the documentation for the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILT_NAME = josepy

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR)/src \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
	rm -f $(CURDIR)/debian/python*-josepy/usr/bin/jws

override_dh_installdocs:
	dh_installdocs -p python-josepy-doc -p python-josepy -p python3-josepy

## python-josepy 1.2.0

=== debian/changelog ===
python-josepy (1.2.0-2) unstable; urgency=medium

  * Drop python-josepy package (Closes: #935214)
  * Bump compat, dh to 12; S-V to 4.4.1, no changes

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 20 Oct 2019 23:56:31 -0400

python-josepy (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Add support for running test harness
  * Drop X-Python versions
  * Auto-run DEP-8 test suite.
  * Add R-R-R and bump S-V to latest.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 07 Jul 2019 21:14:36 -0400

=== debian/control ===
--- 
+++ 
@@ -3,42 +3,23 @@
 Priority: optional
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper (>= 12~),
 	       dh-python,
-	       python (>= 2.7),
-	       python-cryptography (>= 0.8),
-	       python-openssl (>= 0.13),
-	       python-setuptools (>= 1.0),
-	       python-six (>= 1.9.0),
 	       python3 (>= 3.3),
 	       python3-cryptography (>= 0.8),
+	       python3-mock,
 	       python3-openssl (>= 0.13),
+	       python3-pytest,
 	       python3-setuptools (>= 1.0),
 	       python3-six (>= 1.9.0),
 	       python3-sphinx (>= 1.3.1-1~),
 	       python3-sphinx-rtd-theme
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/josepy.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/josepy
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-
-Package: python-josepy
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Description: JOSE implementation for Python 2.x
- This package is a Python implementation of the standards developed by
- IETF Javascript Object Signing and Encryption (Active WG), in
- particular the following RFCs:
- .
-   - JSON Web Algorithms (JWA)
-   - JSON Web Key (JWK)
-   - JSON Web Signature (JWS)
- .
- This package was originally developed as part of the ACME protocol
- implementation.  This is the Python 2 library.
-
+Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-josepy
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILT_NAME = josepy
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -18,4 +18,5 @@
 	rm -f $(CURDIR)/debian/python*-josepy/usr/bin/jws
 
 override_dh_installdocs:
-	dh_installdocs -p python-josepy-doc -p python-josepy -p python3-josepy
+	dh_installdocs --doc-main-package=python-josepy-doc -p python-josepy-doc
+	dh_installdocs -p python3-josepy

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/josepy/josepy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-josepy 1.10.0

=== debian/changelog ===
python-josepy (1.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Harlan Lieberman-Berg ]
  * Add new signing keys, see bug #999503
  * New upstream version 1.10.0
  * Refresh patches

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 11 Nov 2021 23:12:58 -0500

python-josepy (1.8.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Harlan Lieberman-Berg ]
  * New upstream version 1.8.0
  * Drop dependencies no longer used
  * Refresh patch
  * Bump S-V; no changes needed
  * Update watch file version
  * Adjust deletion of jws script to match new path

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 20 Aug 2021 21:48:34 -0400

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,16 @@
 Priority: optional
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       python3 (>= 3.3),
 	       python3-cryptography (>= 0.8),
-	       python3-mock,
 	       python3-openssl (>= 0.13),
 	       python3-pytest,
 	       python3-setuptools (>= 1.0),
-	       python3-six (>= 1.9.0),
 	       python3-sphinx (>= 1.3.1-1~),
 	       python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/josepy.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/josepy

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	find $(CURDIR)/debian/ -type d -name testdata -print0 | xargs -0 rm -rf '{}' \;
-	rm -f $(CURDIR)/debian/python*-josepy/usr/bin/jws
+	rm -f $(CURDIR)/debian/tmp/usr/bin/jws
 
 override_dh_installdocs:
 	dh_installdocs --doc-main-package=python-josepy-doc -p python-josepy-doc

## python-josepy 1.13.0

=== debian/changelog ===
python-josepy (1.13.0-2) unstable; urgency=medium

  * Add new signing key per upstream
  * Run wrap-and-sort
  * Add patch to fix FTBFS (Closes: #1042279)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 27 Jul 2023 22:14:36 -0400

python-josepy (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * Bumped cryptography version requirement
  * Updated d/copyright, just bumping years
  * Refreshed patch

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 20 Mar 2022 17:46:38 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: debhelper-compat (= 13),
-	       dh-python,
-	       python3 (>= 3.3),
-	       python3-cryptography (>= 0.8),
-	       python3-openssl (>= 0.13),
-	       python3-pytest,
-	       python3-setuptools (>= 1.0),
-	       python3-sphinx (>= 1.3.1-1~),
-	       python3-sphinx-rtd-theme
+               dh-python,
+               python3 (>= 3.3),
+               python3-cryptography (>= 1.5~),
+               python3-importlib-resources,
+               python3-openssl (>= 0.13),
+               python3-pytest,
+               python3-setuptools (>= 1.0),
+               python3-sphinx (>= 1.3.1-1~),
+               python3-sphinx-rtd-theme
 Standards-Version: 4.6.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/josepy.git
@@ -21,7 +22,7 @@
 
 Package: python3-josepy
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: JOSE implementation for Python 3.x
  This package is a Python implementation of the standards developed by
  IETF Javascript Object Signing and Encryption (Active WG), in
@@ -37,7 +38,7 @@
 Package: python-josepy-doc
 Section: doc
 Architecture: all
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: JOSE implementation for Python - Documentation
  This package is a Python implementation of the standards developed by
  IETF Javascript Object Signing and Encryption (Active WG), in

## python-josepy 1.14.0

=== docs/requirements.txt ===
# We pin our dependencies with a constraints file for increased stability.

-c ../constraints.txt
-e .[docs]

=== debian/changelog ===
python-josepy (1.14.0-3) unstable; urgency=medium

  * Add patch to fix intersphinx mapping (Closes: #1090148)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Wed, 25 Dec 2024 14:54:15 -0500

python-josepy (1.14.0-2) unstable; urgency=medium

  [ Janitor ]
  * Remove unnecessary constraints

  [ Debian Janitor ]
  * Apply multi-arch hints.

  [ Harlan Lieberman-Berg ]
  * Disable warning re: PyOpenSSL (cf #1080132)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 31 Aug 2024 16:11:35 -0400

python-josepy (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Bump S-V; no changes needed
  * Remove no longer needed patches
  * Add new dependencies due to upstream switch to poetry
  * Add patch to not ship unneeded files.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 16 Feb 2024 16:11:43 -0500

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3 (>= 3.3),
-               python3-cryptography (>= 1.5~),
-               python3-importlib-resources,
-               python3-openssl (>= 0.13),
-               python3-pytest,
-               python3-setuptools (>= 1.0),
-               python3-sphinx (>= 1.3.1-1~),
-               python3-sphinx-rtd-theme
-Standards-Version: 4.6.0
+        dh-python,
+        pybuild-plugin-pyproject,
+        python3,
+        python3-cryptography,
+        python3-importlib-resources,
+        python3-openssl,
+        python3-poetry-core,
+        python3-pytest,
+        python3-setuptools,
+        python3-sphinx,
+        python3-sphinx-rtd-theme
+Standards-Version: 4.6.2
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/josepy.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/josepy
@@ -38,7 +40,8 @@
 Package: python-josepy-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: JOSE implementation for Python - Documentation
  This package is a Python implementation of the standards developed by
  IETF Javascript Object Signing and Encryption (Active WG), in

## python-josepy 2.0.0

=== debian/changelog ===
python-josepy (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0 (Closes: #1106463)
  * Drop patches applied upstream; refresh remaining
  * Drop dependency on openssl, following upstream (Closes: #1080132)
  * Drop dependency on importlib.resources (Closes: #1104684)
  * Bump S-V; no changes needed
  * Touch all files at build time

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 14:47:42 -0400

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,12 @@
         pybuild-plugin-pyproject,
         python3,
         python3-cryptography,
-        python3-importlib-resources,
-        python3-openssl,
         python3-poetry-core,
         python3-pytest,
         python3-setuptools,
         python3-sphinx,
         python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/josepy.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/josepy

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
+	find $(CURDIR) -print0 | xargs -0 touch -d@${SOURCE_DATE_EPOCH} '{}' \;
 	dh_auto_build
 	PYTHONPATH=$(CURDIR)/src \
 		http_proxy='127.0.0.1:9' \

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/josepy/josepy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-josepy 2.2.0

=== debian/changelog ===
python-josepy (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0 (Closes: #1122459)
  * Refresh patches
  * Upgrade watchfile to v5
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 05 Jan 2026 18:25:26 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
         python3-setuptools,
         python3-sphinx,
         python3-sphinx-rtd-theme
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/josepy.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/josepy

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/josepy/
Matching-Pattern: josepy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversionmangle: s/(rc|a|b|c)/~$1/
